databases/p5-Jifty-DBI - The NetBSD Packages Collection

Perl 5 object-relational persistence framework

The Perl 5 module Jifty::DBI deals with databases, so that you
don't have to.  This module provides an object-oriented mechanism
for retrieving and updating data in a DBI-accessible database.
This module is the direct descendent of DBIx::SearchBuilder. If
you're familiar with SearchBuilder, Jifty::DBI should be quite
familiar to you.

Build dependencies

databases/p5-DBD-SQLite devel/p5-Test-Warn pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/p5-Cache-Memcached devel/p5-Cache-Simple-TimedExpiry devel/p5-Class-Accessor devel/p5-Class-Data-Inheritable devel/p5-Class-ReturnValue devel/p5-Class-Trigger devel/p5-Clone databases/p5-DBI databases/p5-DBIx-DBSchema devel/p5-Data-Page time/p5-DateTime-Format-ISO8601 time/p5-DateTime-Format-Strptime time/p5-DateTime devel/p5-Exporter-Lite devel/p5-Hash-Merge textproc/p5-Lingua-EN-Inflect devel/p5-Object-Declare devel/p5-Scalar-Defer time/p5-Time-Duration-Parse time/p5-Time-Duration devel/p5-UNIVERSAL-require www/p5-URI textproc/p5-YAML-Syck lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0aarch64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0aarch64ebp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0aarch64ebp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0alphap5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0alphap5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0earmv6hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0earmv6hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0earmv6hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0earmv7hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0earmv7hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0earmv7hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0i386p5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0i386p5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0i386p5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0powerpcp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0powerpcp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0sparcp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0sparcp5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0x86_64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0x86_64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 10.0x86_64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0aarch64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0aarch64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0aarch64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0alphap5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0earmv6hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0earmv6hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0earmv6hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0earmv7hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0earmv7hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0earmv7hfp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0i386p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0i386p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0i386p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0powerpcp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0powerpcp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0powerpcp5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0x86_64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0x86_64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.0x86_64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.3x86_64p5-Jifty-DBI-0.78nb9.tgz
NetBSD 9.3x86_64p5-Jifty-DBI-0.78nb9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.